Bug 251620 - /usr/lib/libselinux.so owned by wrong package
Summary: /usr/lib/libselinux.so owned by wrong package
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libselinux   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-10 05:02 UTC by Ralf Corsepius
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 15:30:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2007-08-10 05:02:35 UTC
Description of problem:

/usr/lib/libselinux.so is owned by the wrong package:
# rpm -qf /usr/lib/libselinux.so 
libselinux-2.0.14-4.fc7

It must be owned by libselinux-devel

Version-Release number of selected component (if applicable):
libselinux-2.0.14-4.fc7

Additional info:
This bug has pretty subtile effects when using libselinux/libselinux-devel.
It causes linking against libselinux (-lselinux) to succeed when it is supposed
to fail.

Comment 1 Daniel Walsh 2007-08-11 10:34:59 UTC
Fixed in rawhide /libselinux-2.0.30-1.fc8
Will be fixed next time there is a release of libselinux for Fedora.


libselinux-2.0.14-5.fc7

Comment 2 Ralf Corsepius 2007-08-12 03:07:52 UTC
Dan, the same issue is present in other se*-packages:

# rpm -qf /usr/lib/libse{manage,fs,audit}.so
libsemanage-2.0.3-4.fc7
setools-3.1-4.fc7
setools-3.1-4.fc7

I guess, it's evitable to file new PRs for each of them?

Comment 3 Ralf Corsepius 2007-11-02 05:23:56 UTC
(In reply to comment #1)
> Fixed in rawhide /libselinux-2.0.30-1.fc8
> Will be fixed next time there is a release of libselinux for Fedora.
> 
> 
> libselinux-2.0.14-5.fc7

Bug has been reintroduced in libselinux-2.0.14-10.fc7

Comment 4 Tom "spot" Callaway 2007-11-15 15:16:39 UTC
Dan, you should be able to put the non-versioned so file back in the -devel
package now, look at https://bugzilla.redhat.com/show_bug.cgi?id=255441

Comment 5 Daniel Walsh 2007-11-15 15:30:44 UTC
Fixed in libselinux-2.0.42-1.fc9

If procps rolls fixes back for Fedora 8 and 7 I will add fix to them.

Comment 6 Daniel Walsh 2007-11-15 15:39:27 UTC
Fixed in libselinux-2.0.37-2.fc8.src.rpm
Fixed in libselinux-2.0.14-11.fc7.src.rpm

If a new version of libselinux needs to be released to F7 or F8 this package
will go.  I do not think this is worth releasing.


Note You need to log in before you can comment on or make changes to this bug.